App.ButtonMarkOrderDeliveredComponent = Ember.Component.extend
  tagName: 'button'
  layoutName: 'components/button/mark-order-delivered'
  classNames: ['mark-order-delivered-button']
  classNameBindings: ['showButton:active:hide']
  showButton: Ember.computed 'order.state', ->
    state = @get('order.state')
    state is 'placed' or state is 'active'
  click: -> @get('order').mark_delivered()

